## org.apache.mahout.clustering.spectral.eigencuts
Class EigencutsAffinityCutsJob

    java.lang.Object
      org.apache.mahout.clustering.spectral.eigencuts.EigencutsAffinityCutsJob

    public final class EigencutsAffinityCutsJob

extends java.lang.Object

Nested Class Summary
`static class` `EigencutsAffinityCutsJob.EigencutsAffinityCutsCombiner`
`static class` `EigencutsAffinityCutsJob.EigencutsAffinityCutsMapper`
`static class` `EigencutsAffinityCutsJob.EigencutsAffinityCutsReducer`

Method Summary
`static long` `runjob(org.apache.hadoop.fs.Path currentAffinity, org.apache.hadoop.fs.Path cutMatrix, org.apache.hadoop.fs.Path nextAffinity, org.apache.hadoop.conf.Configuration conf)` Runs a single iteration of defining cluster boundaries, based on previous calculations and the formation of the "cut matrix".

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### runjob

    public static long runjob(org.apache.hadoop.fs.Path currentAffinity,
                              org.apache.hadoop.fs.Path cutMatrix,
                              org.apache.hadoop.fs.Path nextAffinity,
                              org.apache.hadoop.conf.Configuration conf)
                       throws java.io.IOException,
                              java.lang.ClassNotFoundException,
                              java.lang.InterruptedException

  Runs a single iteration of defining cluster boundaries, based on previous calculations and the formation of the "cut matrix".

  Parameters:
    `currentAffinity` - Path to the current affinity matrix.
    `cutMatrix` - Path to the sensitivity matrix.
    `nextAffinity` - Output path for the new affinity matrix.
  Throws:
    `java.io.IOException`
    `java.lang.ClassNotFoundException`
    `java.lang.InterruptedException`

Copyright © 2008-2010 The Apache Software Foundation. All Rights Reserved.